org.klomp.snark

## Class BWLimits

- java.lang.Object
- - org.klomp.snark.BWLimits

     class BWLimits
    extends Object

Connect via I2CP and ask the router the bandwidth limits. The call is blocking and returns null on failure. Timeout is set to 5 seconds in I2PSimpleSession but it should be much faster.

Author:
  zzz

### Constructor Summary

Constructors
Constructor and Description
`BWLimits()`

### Method Summary

Methods
`static int[]` `getBWLimits(String host, int port)`
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BWLimits

    BWLimits()

### Method Detail

#### getBWLimits

    public static int[] getBWLimits(String host,
                    int port)

#### main

    public static void main(String[] args)